Retrieve a counter

Returns a single counter by its internal ID.

Tip

Check the Swagger page for more technical information on the endpoints.

Endpoint details

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/counters/{id}

Headers: Authorization: Bearer {token}, User-Agent: {agent} Scope: connector-protimeapi-counters.read

URL parameters

Parameter Description
{id} The internal ID of the counter.

Response properties

Field Type Required Writable Description
changeVersion string — Read-only Property to indicate the order of changes.
id integer — Read-only Unique identifier for the counter instance.
shiftDefinition.id integer — Read-only Unique identifier for the shift definition, if a shift is linked to this counter.
numberOfInstances integer — Read-only Number of counter instances.
request.id string — Read-only Internal unique identifier for the related request, if the counter was requested.
status string — Read-only Status of the counter instance (Unknown, Auto, Manual, Calendar).
isAuthorized boolean — Read-only Indicates if the counter instance is authorized.
person.id integer — Read-only Unique identifier for the person linked to this counter.
periodType string — Read-only Type of period the counter applies to (Unknown, Day, Week, PayPeriod).
counterDefinition.id integer — Read-only Unique identifier for the counter definition linked to this counter.
date string — Read-only Date of the counter instance that it is registered on.
startTimeInMinutes integer — Read-only Start time in minutes from midnight.
endTimeInMinutes integer — Read-only End time in minutes from midnight.
durationInMinutes integer — Read-only Duration of the counter instance in minutes.

External references

The endpoint supports predefined and custom external references. See the external references page for details and the predefined options list.

The following collections are supported for this endpoint:

Collection Predefined Custom
people @badge-number, @employee-number Supported
shift-definitions @shift-code Supported
counter-definitions @counter-code Supported

Error responses

Status Condition
401 Missing or invalid access token, or insufficient scope
404 Counter with the given ID does not exist

Examples

Retrieving a counter

Example with a counter ID 905165:

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/counters/905165

With external reference

Example with external reference for the counter definition:

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/counters/905165?externalReferences=(counter-definitions,@counter-code)